"""Enlarge the password field to 128 characters

Revision ID: b43afbecb829
Revises: eb9984c1787c
Create Date: 2019-05-16 16:31:18.543239

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = 'b43afbecb829'
down_revision = 'eb9984c1787c'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    #MK: changed to only change the length of the VARCHAR
    op.alter_column('user', 'password',
               existing_type=mysql.VARCHAR(length=64),
               type_=mysql.VARCHAR(length=128))
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    #MK: changed to only change the length of the VARCHAR
    op.alter_column('user', 'password',
               existing_type=mysql.VARCHAR(length=128),
               type_=mysql.VARCHAR(length=64))
    # ### end Alembic commands ###
